import { bls12_381 } from '@noble/curves/bls12-381';
import type { ProjPointType } from '@noble/curves/abstract/weierstrass';
export type PublicKey = ProjPointType<bigint>;
export type SecretKey = bigint;
export type Signature = ProjPointType<typeof bls12_381.fields.Fp2.ZERO>;
export type Message = ProjPointType<typeof bls12_381.fields.Fp2.ZERO>;
export declare const PUBLIC_KEY_LENGTH = 48;
export declare const SIGNATURE_LENGTH = 96;
export declare function secretKeyFromBytes(skBytes: Uint8Array | string): SecretKey;
export declare function secretKeyToBytes(sk: SecretKey): Uint8Array;
export declare function publicKeyFromBytes(pkBytes: Uint8Array | string): PublicKey;
export declare function publicKeyToBytes(pk: PublicKey): Uint8Array;
export declare function signatureFromBytes(sigBytes: Uint8Array): Signature;
export declare function signatureToBytes(sig: Signature): Uint8Array;
export declare function verify(pk: PublicKey, sig: Signature, msg: Uint8Array | string | Message): boolean;
export declare function verifyProofOfPossession(pk: PublicKey, sig: Signature, msg: Uint8Array | string | Message): boolean;
export declare function sign(msg: Uint8Array | string, sk: SecretKey): Uint8Array;
export declare function signProofOfPossession(msg: Uint8Array | string, sk: SecretKey): Uint8Array;
//# sourceMappingURL=bls.d.ts.map