import { PVMTx } from './abstractTx';
import { BaseTx } from '../avax/baseTx';
import { TransferableOutput } from '../avax/transferableOutput';
import type { Serializable } from '../common/types';
import { SubnetValidator } from './subnetValidator';
import { Codec } from '../codec';
import type { OutputOwners } from '../fxs/secp256k1';
import { TypeSymbols } from '../constants';
export declare class AddPermissionlessDelegatorTx extends PVMTx {
    readonly baseTx: BaseTx;
    readonly subnetValidator: SubnetValidator;
    readonly stake: TransferableOutput[];
    readonly delegatorRewardsOwner: Serializable;
    _type: TypeSymbols;
    constructor(baseTx: BaseTx, subnetValidator: SubnetValidator, stake: TransferableOutput[], delegatorRewardsOwner: Serializable);
    getDelegatorRewardsOwner(): OutputOwners;
    static fromBytes(bytes: Uint8Array, codec: Codec): [AddPermissionlessDelegatorTx, Uint8Array];
    toBytes(codec: Codec): Uint8Array;
}
//# sourceMappingURL=addPermissionlessDelegatorTx.d.ts.map