import { BaseTx } from '../avax/baseTx';
import { TransferableOutput } from '../avax/transferableOutput';
import { Codec } from '../codec/codec';
import type { Serializable } from '../common/types';
import type { OutputOwners } from '../fxs/secp256k1';
import { Int } from '../primitives';
import { PVMTx } from './abstractTx';
import { Validator } from './validator';
import { TypeSymbols } from '../constants';
export declare class AddValidatorTx extends PVMTx {
    readonly baseTx: BaseTx;
    readonly validator: Validator;
    readonly stake: TransferableOutput[];
    readonly rewardsOwner: Serializable;
    readonly shares: Int;
    _type: TypeSymbols;
    constructor(baseTx: BaseTx, validator: Validator, stake: TransferableOutput[], rewardsOwner: Serializable, shares: Int);
    getRewardsOwner(): OutputOwners;
    static fromBytes(bytes: Uint8Array, codec: Codec): [AddValidatorTx, Uint8Array];
    toBytes(codec: Codec): Uint8Array;
}
//# sourceMappingURL=addValidatorTx.d.ts.map