import type { Transaction } from '../../vms/common/transaction';
import type { BaseTx } from './baseTx';
import type { ImportTx } from './importTx';
import type { ExportTx } from './exportTx';
import type { AddValidatorTx } from './addValidatorTx';
import type { AddDelegatorTx } from './addDelegatorTx';
import type { AddSubnetValidatorTx } from './addSubnetValidatorTx';
import type { CreateChainTx } from './createChainTx';
import type { CreateSubnetTx } from './createSubnetTx';
import type { RemoveSubnetValidatorTx } from './removeSubnetValidatorTx';
import type { AddPermissionlessDelegatorTx } from './addPermissionlessDelegatorTx';
import type { AddPermissionlessValidatorTx } from './addPermissionlessValidatorTx';
import type { AdvanceTimeTx } from './advanceTimeTx';
import type { RewardValidatorTx } from './rewardValidatorTx';
import type { Signer, SignerEmpty } from './signer';
import type { TransferSubnetOwnershipTx } from './transferSubnetOwnershipTx';
import type { TransformSubnetTx } from './transformSubnetTx';
export declare function isPvmBaseTx(tx: Transaction): tx is BaseTx;
export declare function isAddDelegatorTx(tx: Transaction): tx is AddDelegatorTx;
export declare function isAddPermissionlessDelegatorTx(tx: Transaction): tx is AddPermissionlessDelegatorTx;
export declare function isAddPermissionlessValidatorTx(tx: Transaction): tx is AddPermissionlessValidatorTx;
export declare function isAddSubnetValidatorTx(tx: Transaction): tx is AddSubnetValidatorTx;
export declare function isAddValidatorTx(tx: Transaction): tx is AddValidatorTx;
export declare function isAdvanceTimeTx(tx: Transaction): tx is AdvanceTimeTx;
export declare function isCreateChainTx(tx: Transaction): tx is CreateChainTx;
export declare function isCreateSubnetTx(tx: Transaction): tx is CreateSubnetTx;
export declare function isRemoveSubnetValidatorTx(tx: Transaction): tx is RemoveSubnetValidatorTx;
export declare function isTransferSubnetOwnershipTx(tx: Transaction): tx is TransferSubnetOwnershipTx;
export declare function isTransformSubnetTx(tx: Transaction): tx is TransformSubnetTx;
export declare function isExportTx(tx: Transaction): tx is ExportTx;
export declare function isImportTx(tx: Transaction): tx is ImportTx;
export declare function isRewardValidatorTx(tx: Transaction): tx is RewardValidatorTx;
export declare function isEmptySigner(signer: Signer | SignerEmpty): signer is SignerEmpty;
export declare function isSigner(signer: Signer | SignerEmpty): signer is Signer;
//# sourceMappingURL=typeGuards.d.ts.map