import type { UnsignedTx } from '../vms/common/unsignedTx';
export declare enum SigningType {
    AVALANCHE = 0,
    ETH = 1
}
export interface SigningData {
    publicKey: Uint8Array;
    signature: Uint8Array;
}
export interface EcdsaSignature {
    r: bigint;
    s: bigint;
    recoveryParam: number;
}
export declare function messageHashFromUnsignedTx(unsignedTx: UnsignedTx, signingType?: SigningType): Uint8Array;
export declare function messageHash(message: Uint8Array, signingType?: SigningType): Uint8Array;
export declare function addressesToSign(unsignedTx: UnsignedTx): Uint8Array[];
export declare function signTx(tx: UnsignedTx, signingData: SigningData[]): void;
//# sourceMappingURL=signing.d.ts.map