import { BaseTx } from '../avax/baseTx';
import { Codec } from '../codec/codec';
import type { Serializable } from '../common/types';
import type { OutputOwners } from '../fxs/secp256k1';
import { PVMTx } from './abstractTx';
import { TypeSymbols } from '../constants';
export declare class CreateSubnetTx extends PVMTx {
    readonly baseTx: BaseTx;
    readonly subnetOwners: Serializable;
    _type: TypeSymbols;
    constructor(baseTx: BaseTx, subnetOwners: Serializable);
    getSubnetOwners(): OutputOwners;
    static fromBytes(bytes: Uint8Array, codec: Codec): [CreateSubnetTx, Uint8Array];
    toBytes(codec: Codec): Uint8Array;
}
//# sourceMappingURL=createSubnetTx.d.ts.map